// 监控对象
// 秒寻科技
// zt 2024-09-17

package oam

import (
	"ipsomc/module/bparam/bparammodel"
)

type OamGain struct {
}

const (
	ORDER_CONFIG_DAC_SWITCH = 0x0301 // DAC开关(对应目前网管的功放开关3)
	ORDER_CONFIG_DAC_GAIN   = 0x0302 // DAC增益（对应目前网管功放增益微调1）
	ORDER_CONFIG_PA_SWITCH  = 0x0303 // PA开关(对应目前网管的功放开关1)
	ORDER_CONFIG_PA_GAIN    = 0x0304 // PA增益（对应目前网管功放增益1）

	ORDER_CONFIG_RESET_PARAM = 0x03FD // 设备参数复位
	ORDER_CONFIG_RESET       = 0x03FE // 设备复位
	ORDER_CONFIG_SAVE        = 0x03FF // 保存参数
)

// 增益参数查询响应
// dataModel:基站基本参数模型
// wCommand:监控命令
// dataList:数据队列
// wLen:队列长度
func (obj *OamGain) OamGainQueryResp(dataModel *bparammodel.BtsBaseParam, wCommand uint16, dataList []byte, wLen uint16) error {
	switch wCommand {
	case ORDER_CONFIG_DAC_SWITCH:
		dataModel.DaSwitch = dataList[0]
	case ORDER_CONFIG_DAC_GAIN:
		dataModel.DaGain = uint16(dataList[0])
	case ORDER_CONFIG_PA_SWITCH:
		dataModel.PaSwitch = dataList[0]
	case ORDER_CONFIG_PA_GAIN:
		dataModel.PaGain = dataList[0]
	default:
		break
	}

	return nil
}
